Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Stand-Alone Credits


This section shows you how to process a credit, which is not linked to a capture or sale. There is no time limit for requesting a credit.

When you request a void for a refund or credit before settlement, the refund or credit is voided. If your account is enabled for credit authorizations, the credit authorization is also reversed.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect
  • Streamline
  • Worldpay VAP

Processor-Specific Information

Visa Platform Connect: When your account is enabled for credit authorizations, also known as purchase return authorizations, authenticates the card and customer during a follow-on refund or stand-alone credit request. Every credit request is automatically authorized.

Credit authorization results are returned in these response fields:

  • processorInformation.approvalCode
  • processorInformation.networkTransactionId
  • processorInformation.responseCode

For Visa Platform Connect, credit authorizations are handled the same for these card types: American Express, Diners, Discover, JCB, Mastercard, and Visa.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

POST /pts/v2/credits/

A stand-alone credit is not linked to a previous transaction, so no transaction ID is required in the endpoint URL.

Example

Standard Example

{  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "Kim",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "Kyong-Jin",      "email": ""    },    "amountDetails": {      "totalAmount": "100.00",      "currency": "eur"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2030",      "number": "CARD_NUMBER",      "expirationMonth": "12"    }  }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/credits/6663069906146706403954/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/credits/6663069906146706403954"        }    },    "clientReferenceInformation": {        "code": "1666306990717"    },    "creditAmountDetails": {        "currency": "eur",        "creditAmount": "100.00"    },    "id": "6663069906146706403954",    "orderInformation": {        "amountDetails": {            "currency": "eur"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "016153570198200",        "responseCode": "100"    },    "reconciliationId": "66490108K9CLFJPN",    "status": "PENDING",    "submitTimeUtc": "2026-10-20T23:03:10Z"}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000765"    },    "processingInformation": {        "commerceIndicator": "internet"    },    "orderInformation": {        "billTo": {            "country": "US",            "firstName": "John",            "lastName": "Smith",            "phoneNumber": "650-965-6111",            "address1": "600 Morgan Falls Road",            "postalCode": "94566-1234",            "locality": "Atlanta",            "administrativeArea": "MI",            "email": ""        },        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    },    "merchantInformation": {        "merchantDescriptor": {            "name": "Best Bakery"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2030",            "expirationMonth": "02"        },        "instrumentIdentifier": {            "id": "7018759999957811111"        }    }}
{    "submitTimeUtc": "2026-03-10T22:18:45Z",    "_links": {        "refund": {            "href": "/pts/v2/payments/7416451254443232235535/refunds",            "method": "POST"        },        "void": {            "href": "/pts/v2/payments/7416451254443232235535/voids",            "method": "POST"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7416451254443232235535"        }    },    "processorInformation": {        "approvalCode": "OK9473",        "responseCodeSource": "4",        "networkTransactionId": "0014239537635196CN",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500028",        "merchantNumber": "RCTST1000107085"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "issuerInformation": {        "responseCode": "123"    },    "reconciliationId": "000000050000765",    "pointOfSaleInformation": {        "terminalId": "00000001"    },    "id": "7416451254443232235535",    "status": "COMPLETED",    "embeddedActions": {        "TOKEN_RETRIEVE": {            "status": "SUCCESS"        }    }}

Required Fields

These fields are required when processing a stand-alone credit:

Default Required Fields

FieldDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—

Fiserv RapidConnect Required fields

Fiserv RapidConnect uses an instrument identifier instead of a card number. Replace paymentInformation.card.number with this field:

FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
merchantInformation.merchantDescriptor.name—
paymentInformation.instrumentIdentifier.id—
processingInformation.commerceIndicatorSet the value to internet.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.